ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Create/Import User (Human)

Deprecated: use user service v2 UpdateHumanUser instead.

Create/import a new user. The newly created user will get an initialization email if either the email address is not marked as verified or no password is set. If a password is set the user will not be requested to set a new one on the first login.

POST
/users/human/_import

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/users/human/_import" \  -H "Content-Type: application/json" \  -d '{    "userName": "string",    "profile": {      "firstName": "string",      "lastName": "string"    },    "email": {      "email": "string"    }  }'
{
  "userId": "string",
  "details": {
    "sequence": 0,
    "creationDate": "2023-01-15T01:30:15.01Z",
    "changeDate": "2023-01-15T01:30:15.01Z",
    "resourceOwner": "string"
  },
  "passwordlessRegistration": {
    "link": "string",
    "lifetime": "string",
    "expiration": "string"
  }
}

Was this page helpful?